Loading...
Searching...
No Matches
LogSink.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/Logging/LogSinkInterface.h>`
`#include <casacore/casa/Exceptions/Error.h>`
`#include <casacore/casa/iosfwd.h>`
`#include <memory>`
`#include <mutex>`

Go to the source code of this file.

## Classes

class | casacore::LogSink
| More...
class | casacore::LogSink::LsiIntermediate
| LsiIntermediate is a helper class to allow LogSinkInterface to implement semantics that allow causing all classes accessing the log sink to be aimed at a different sink object. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines